.white{ color: white; }
.blue{ color: $blueColor; }
.skyblue{ color: $skyblueColor; }
.oceanblue{ color: $oceanblueColor }
.gray{ color: $grayColor; }
.yellow{ color: $yellowColor; }

.bg-whitegray{ background-color: #f0f0f0; }

.scounter{
  counter-reset: chapter-count;
}

.heading{
  font-family: $font-family;
  margin-bottom: 1rem;
  &--white{ color: white; }
  &--blue{ color: $blueColor; }
  &--skyblue{ color: $skyblueColor; }
  &--yellow{ color: $yellowColor; }
  &--oceanblue{ color: $oceanblueColor; }
  

  
  &--italic{ font-style: italic; }
  &--upper{ text-transform: uppercase; }

  &--w_black{
    font-weight: 900;
  }
  &--w_extrabold{
    font-weight: 800;
  }
  &--w_bold{
    font-weight: 700;
  }
  &--w_semibold{
    font-weight: 600;
  }
  &--w_medium{
    font-weight: 500;
  }
  &--w_regular{
    font-weight: 400;
  }
  &--w_light{
    font-weight: 300;
  }
  &--w_extralight{
    font-weight: 200;
  }
  &--w_thin{
    font-weight: 100;
  }
  
  &--s_black{
    font-size: 41px;  
    @include respond-to(tablets){
      font-size: 48px;
    }  
    @include respond-to(desktops){
      font-size: 55px;
    }
  }

  &--s_extrabold{
    font-size: 33px;    
    @include respond-to(tablets){
      font-size: 43px;
    }
    @include respond-to(desktops){
      font-size: 50px;
    }
  }
  
  &--s_semibold{
    font-size: 24px;    
    @include respond-to(tablets){
      font-size: 31px;
    }  
    @include respond-to(desktops){
      font-size: 38px;
    }  
  }
  

 
  &--s_medium{
    font-size: 20px; 
    @include respond-to(tablets){
      font-size: 23px;
    }    
    @include respond-to(desktops){
      font-size: 30px;
    }  
  }

  &--s_regular{
    font-size: 17px;    
    @include respond-to(desktops){
      font-size: 20px;
    }  
  }
 
  &--s_light{
    font-size: 16px;
    @include respond-to(desktops){
      font-size: 19px;
    }  
  }
  
  &--s_extralight, &--s_button{
    font-size: 16px;
    @include respond-to(desktops){
      font-size: 18px;
    }  
  }
  
  &--s_thin{
    font-size: 14px;
    @include respond-to(desktops){
      font-size: 16px;
    }  
  }

 
  
}

.paragraph{
  font-family: $font-family;  
  margin-bottom: 1rem;
  line-height: 1.75;
  // word-break: break-all;
  
  &--white{ color: white; }
  &--black{ color: black; }
  &--blue{ color: $blueColor; }
  &--skyblue{ color: $skyblueColor; }
  &--gray{ color: $grayColor; }

  &--less{
    margin-bottom: 1rem;
    @include respond-to(desktops){
      margin-bottom: 1.5rem;
    }
  }
  &--more{
    margin-bottom: 1.25rem;
    @include respond-to(desktops){
      margin-bottom: 1.75rem;
    }
  }

  &--pl{     
    @include respond-to(desktops){
      padding-left: 2.25rem ;
    }
  }
}

.space{

}

.list{
  padding: 0; 
  margin: 0;

  &--none{
    list-style: none;
  }
  &--inline{
    display: inline-block;
    &__list{
      display: block;
      margin-right: 1rem; 
    }
  }
  &--block{
    display: block;
    &__list{
      display: inline-block;
      margin-right: 1rem; 
    }
  }



}
